# Function all

Check if all the elements of an array match a predicate function

- all(fn1): ((arr: any) => any)

- #### Parameters

  - fn1: any

    a predicate function `fn1`

  #### Returns ((arr: any) => any)

  a function which takes an array and returns true if `fn1` is true for all elements of the array

  - - (arr): any

    - #### Parameters

      - arr: any

      #### Returns any

  - Defined in shared/hof.js:114